# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name leksah-server

%global common_summary Leksah is an IDE for Haskell

%global common_description This package provides the interface to GHC-API for leksah.


Name:           %{pkg_name}
Version:        0.10.0.4
Release:        4%{?dist}
Summary:        %{common_summary}

Group:          Development/Tools
License:        GPL+
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
# macros for building haskell packages
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
BuildRequires:  ghc-Cabal-prof, ghc-base-prof, ghc-binary-prof, ghc-binary-shared-prof, ghc-bytestring-prof, ghc-containers-prof, ghc-directory-prof, ghc-filepath-prof, ghc-ghc-prof, ghc-ltk-prof, ghc-mtl-prof, ghc-parsec-prof,ghc-pretty-prof, ghc-process-leksah-prof, ghc-time-prof, ghc-deepseq-prof, ghc-hslogger-prof, ghc-network-prof, ghc-haddock-prof, ghc-unix-prof
Requires:       wget, ghc, haddock >= 2.7.2, cabal-install, ghc-leksah-server

%description
%{common_description}


%prep
%setup -q


%build
%ghc_lib_build


%install
%ghc_lib_install

# define the shared, devel and prof subpkgs, devel scripts,
# and filelists: ghc-leksah-server.files, ghc-leksah-server-devel.files
%ghc_binlib_package


%files
%defattr(-,root,root,-)
%doc LICENSE
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/leksahecho
%attr(644,root,root) %{_datadir}/%{pkg_name}-%{version}/data/prefscoll.lkshp

%changelog
* Sun Jun 26 2011 Lakshmi Narasimhan <lakshminaras2002@gmail.com> - 0.10.0.4-4
- Fix requires list to include ghc-leksah-server

* Tue Jun 21 2011 Lakshmi Narasimhan <lakshminaras2002@gmail.com> - 0.10.0.4-3
- Upgrade to cabal2spec-0.23.2

* Sun Jun 5 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-2
- Modified dependencies to match with the cabal file
- Added some packages in requires list

* Sun Apr 17 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-1
- Upgrade to 0.10.0.4, update to cabal2spec-0.22.7.
- License in the LICENSE file is mentioned as GPLV2 while sources specify
- license as GPL.Hence GPL+.

* Sun Apr 17 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0-1
- upgrade to 0.10.0, update to cabal2spec-0.22.5.

* Sat Dec 18 2010 Lakshmi Narasimhan <lakshminaras2002@gmail.com> - 0.8.0.8-1
- Modified license and depenedencies.
- Created patch to fix hslogger and ghc dependency.The maximum allowed versions for the respective packages are removed with this patch.

* Sat Dec 18 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.8.0.8-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.3
